From 6421b17cf850cbbb7d23cd0d9a3a41d1a8397cb2 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 30 May 2022 11:04:17 +0200
Subject: [PATCH 02/34] Convert slurm_conf.slurmd_user_id ->
 slurm_get_slurmd_user_id()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/api/signal.c                   | 4 ++--
 src/plugins/mpi/pmix/pmixp_utils.c | 2 +-
 src/slurmd/slurmstepd/mgr.c        | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/api/signal.c b/src/api/signal.c
index c4932a477b..f48fb1686d 100644
--- a/src/api/signal.c
+++ b/src/api/signal.c
@@ -100,7 +100,7 @@ static int _signal_batch_script_step(const resource_allocation_response_msg_t
 	rpc.signal = signal;
 
 	slurm_msg_t_init(&msg);
-	slurm_msg_set_r_uid(&msg, slurm_conf.slurmd_user_id);
+	slurm_msg_set_r_uid(&msg, slurm_get_slurmd_user_id());
 	msg.msg_type = REQUEST_SIGNAL_TASKS;
 	msg.data = &rpc;
 	if (slurm_conf_get_addr(name, &msg.address) == SLURM_ERROR) {
@@ -155,7 +155,7 @@ static int _terminate_batch_script_step(const resource_allocation_response_msg_t
 
 	slurm_msg_t_init(&msg);
 	msg.msg_type = REQUEST_TERMINATE_TASKS;
-	slurm_msg_set_r_uid(&msg, slurm_conf.slurmd_user_id);
+	slurm_msg_set_r_uid(&msg, slurm_get_slurmd_user_id());
 	msg.data = &rpc;
 
 	if (slurm_conf_get_addr(name, &msg.address) == SLURM_ERROR) {
diff --git a/src/plugins/mpi/pmix/pmixp_utils.c b/src/plugins/mpi/pmix/pmixp_utils.c
index 04d958f82e..c260b3d7bd 100644
--- a/src/plugins/mpi/pmix/pmixp_utils.c
+++ b/src/plugins/mpi/pmix/pmixp_utils.c
@@ -338,7 +338,7 @@ static int _pmix_p2p_send_core(char *nodename, const char *address, char *data,
 	msg.forward.timeout = timeout;
 	msg.forward.cnt = 0;
 	msg.forward.nodelist = NULL;
-	slurm_msg_set_r_uid(&msg, slurm_conf.slurmd_user_id);
+	slurm_msg_set_r_uid(&msg, slurm_get_slurmd_user_id());
 	ret_list = slurm_send_addr_recv_msgs(&msg, nodename, timeout);
 	if (!ret_list) {
 		/* This should never happen (when this was
diff --git a/src/slurmd/slurmstepd/mgr.c b/src/slurmd/slurmstepd/mgr.c
index b964a0ba51..0200237437 100644
--- a/src/slurmd/slurmstepd/mgr.c
+++ b/src/slurmd/slurmstepd/mgr.c
@@ -818,7 +818,7 @@ _one_step_complete_msg(stepd_step_rec_t *job, int first, int last)
 	}
 	/*********************************************/
 	slurm_msg_t_init(&req);
-	slurm_msg_set_r_uid(&req, slurm_conf.slurmd_user_id);
+	slurm_msg_set_r_uid(&req, slurm_get_slurmd_user_id());
 	req.msg_type = REQUEST_STEP_COMPLETE;
 	req.data = &msg;
 	req.address = step_complete.parent_addr;
-- 
2.35.3


